Bug 1640135 - Wrong version number in /etc/redhat-storage-release
Summary: Wrong version number in /etc/redhat-storage-release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: redhat-storage-server
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: RHGS 3.4.z Batch Update 1
Assignee: Milind Changire
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-17 12:13 UTC by Filip Balák
Modified: 2018-10-31 08:47 UTC (History)
14 users (show)

Fixed In Version: redhat-storage-server-3.4.1.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-31 08:46:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3432 None None None 2018-10-31 08:47:34 UTC
Red Hat Bugzilla 1641586 None CLOSED spec: wrong release number for RHGS 3.4.1 in /usr/share/glusterfs/release 2019-05-20 19:46:57 UTC

Internal Links: 1641586

Description Filip Balák 2018-10-17 12:13:09 UTC
Description of problem:
If upgrade to BU1 is done then the version that is in /etc/redhat-storage-release is Red Hat Gluster Storage Server 3.4.0. There should be Red Hat Gluster Storage Server 3.4.1.

Version-Release number of selected component (if applicable):
glusterfs-3.12.2-22.el7rhgs.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Install gluster.
2. Update it to version 3.12.2-22.
3. # cat /etc/redhat-storage-release

Actual results:
Red Hat Gluster Storage Server 3.4.0

Expected results:
Red Hat Gluster Storage Server 3.4.1

Additional info:

Comment 3 Amar Tumballi 2018-10-18 09:32:36 UTC
Note that, glusterfs RPMs doesn't change /etc/redhat-storage-release file. Should be part of build/distribution!

Comment 10 Anand Paladugu 2018-10-25 11:05:45 UTC
Are there other ways to identify the version / release ?  I guess it is important to understand whether it is 3.4.1 or 3.4.2 etc . right ?

Comment 14 Upasana 2018-10-26 11:32:25 UTC
As per the bug updates and patch see that the changes has been implemented 

On previous build - glusterfs-server-3.12.2-23.el6rhs.x86_64
============================================================

[root@dhcp37-150 ~]# cat /etc/redhat-storage-release 
Red Hat Gluster Storage Server 3.4.0

Build - glusterfs-server-3.12.2-25.el6rhs.x86_64
=================================================

[root@dhcp37-150 yum.repos.d]# cat /etc/redhat-storage-release 
Red Hat Gluster Storage Server 3.4

Hence closing the bug as verified.

Comment 16 errata-xmlrpc 2018-10-31 08:46:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3432


Note You need to log in before you can comment on or make changes to this bug.